View Issue Details

IDProjectCategoryView StatusLast Update
0007076mantisbtotherpublic2006-09-12 00:52
Reporterrg Assigned Tovboctor  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.0.2 
Target VersionFixed in Version1.1.0a1 
Summary0007076: checkin.php needs array_unique()
Description

if the log message contains e.g.

"bug #408 fixed, blabla,bla bug #408 blaba, bla..."

the log message will be added twice (or as often as #408 appears in the text (including the diff)).

Adding


* 66,71 **
--- 66,75 ----
exit( 1 );
}

  • add note to each bug only once

  • $t_issues = array_unique( $t_issues );
  • $t_fixed_issues = array_unique( $t_fixed_issues );
  • # history parameters are reserved for future use.
    $t_history_old_value = '';
    $t_history_new_value = '';

to checkin.php prevents this.

Additional Information

My system: winxp, php 5.1.4.

if you are interested in my post_commit.cmd, here it is:

<pre>REM Post-commit hook for MantisBT integration
SET REPOS=%1
SET REV=%2
SET DETAILSFILE=c:\tmp\svnfile%REV%
SET LOGFILE=c:\tmp\svnfile%REV%_log
SET AUTHFILE=c:\tmp\svnfile%REV%_auth
SET SVNFILE=c:\tmp\svnfile%REV%_svn

svnlook author -r %REV% %REPOS% > %AUTH_FILE%

echo ^<hr^>^<center^>^<h3^>Source Code Changes^</h3^>^</center^>^<hr^>^<b^>SVN Repository:^</b^> %REPOS% > %DETAILS_FILE%
echo ^<b^>SVN Revision:^</b^> %REV% >> %DETAILS_FILE%
FOR /F %%A IN (%AUTH_FILE%) DO echo ^<b^>SVN Author:^</b^> %%A >> %DETAILS_FILE%
echo ^<b^>SVN Log:^</b^> >> %DETAILS_FILE%

rem
rem extrem komische Sachen mit iconv, sobald es über Eingabeumleitung läuft
rem anders tut es wirklich nicht!
rem
svnlook log -r %REV% %REPOS% > %SVN_FILE%
iconv -f 850 -t iso-8859-1 %SVN_FILE% >> %DETAILS_FILE%

echo ^<hr^>^<b^>SVN Changed:^</b^> >> %DETAILS_FILE%
svnlook changed -r %REV% %REPOS% >> %DETAILS_FILE%
echo ^<hr^> >> %DETAILS_FILE%

svnlook diff --no-diff-deleted --no-diff-added -r %REV% %REPOS% >> %DETAILS_FILE%

php.exe d:\b\php-mod\mantis\core\checkin.php < %DETAILS_FILE% >> %LOG_FILE%
DEL %DETAILS_FILE%
DEL %LOG_FILE%
DEL %AUTH_FILE%</pre>

TagsNo tags attached.

Relationships

parent of 0007143 closedvboctor Port: checkin.php needs array_unique() 

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2006-05-12 02:45 rg New Issue
2006-05-18 02:47 vboctor Status new => resolved
2006-05-18 02:47 vboctor Fixed in Version => 1.1.0
2006-05-18 02:47 vboctor Resolution open => fixed
2006-05-18 02:47 vboctor Assigned To => vboctor
2006-05-28 07:04 vboctor Issue cloned: 0007143
2006-05-28 07:04 vboctor Relationship added parent of 0007143
2006-09-12 00:52 vboctor Status resolved => closed